/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Left Ventricle Linear
 */
public enum EnumCV_LeftVentricleLinear {

	//Left Ventricle Linear - CID 12201
	LEFT_VENTRICLE_INTERNAL_END_DIASTOLIC_DIMENSION_29436_3("29436-3"),
	LEFT_VENTRICLE_INTERNAL_SYSTOLIC_DIMENSION_29438_9("29438-9"),
	LEFT_VENTRICULAR_FRACTIONAL_SHORTENING_18051_3("18051-3"),
	INTERVENTRICULAR_SEPTUM_DIASTOLIC_THICKNESS_18154_5("18154-5"),
	INTERVENTRICULAR_SEPTUM_TO_POSTERIOR_WALL_THICKNESS_RATIO_18155_2("18155-2"),
	INTERVENTRICULAR_SEPTUM_PERCENT_THICKENING_18054_7("18054-7"),
	INTERVENTRICULAR_SEPTUM_SYSTOLIC_THICKNESS_18158_6("18158-6"),
	LEFT_VENTRICLE_POSTERIOR_WALL_PERCENT_THICKENING_18053_9("18053-9"),
	LEFT_VENTRICLE_DIASTOLIC_MAJOR_AXIS_18077_8("18077-8"),
	LEFT_VENTRICLE_SYSTOLIC_MAJOR_AXIS_18076_0("18076-0"),
	LEFT_VENTRICLE_POSTERIOR_WALL_SYSTOLIC_THICKNESS_18156_0("18156-0"),
	LEFT_VENTRICLE_POSTERIOR_WALL_DIASTOLIC_THICKNESS_18152_9("18152-9"),
	LEFT_VENTRICLE_SEMI_MAJOR_AXIS_DIASTOLIC_DIMENSION_G_0377("G-0377"),
	LEFT_VENTRICLE_TRUNCATED_SEMI_MAJOR_AXIS_DIASTOLIC_DIMENSION_G_0378("G-0378");

	private String value;

	EnumCV_LeftVentricleLinear(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
